/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb.plugins;

/**
 * MBean interface.
 */
public interface AbstractInstancePoolMBean extends org.jboss.system.ServiceMBean
{

   int getCurrentSize();

   int getMaxSize();

   /**
    * Get the current avaiable count from the strict max view. If there is no strict max then this will be Long.MAX_VALUE to indicate there is no restriction.
    * @return the current avaiable count from the strict max view    */
   long getAvailableCount();


   /** Clear the pool - does not remove inuse contexts */
   void clear();
}
